
package pe.gob.sunat.sigad.services;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for acuseRecibo complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="acuseRecibo">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="anhoEnvio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="documentoEmisor" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="fechaRecepcion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="hashDocumento" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="listaErrores" type="{http://services.sigad.sunat.gob.pe}errorAcuse" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="listaWarning" type="{http://services.sigad.sunat.gob.pe}errorAcuse" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="numeroOrden" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ticketEnvio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "acuseRecibo", propOrder = {
    "anhoEnvio",
    "documentoEmisor",
    "fechaRecepcion",
    "hashDocumento",
    "listaErrores",
    "listaWarning",
    "numeroOrden",
    "ticketEnvio"
})
public class AcuseRecibo {

    protected String anhoEnvio;
    protected String documentoEmisor;
    protected String fechaRecepcion;
    protected String hashDocumento;
    @XmlElement(nillable = true)
    protected List<ErrorAcuse> listaErrores;
    @XmlElement(nillable = true)
    protected List<ErrorAcuse> listaWarning;
    protected String numeroOrden;
    protected String ticketEnvio;

    /**
     * Gets the value of the anhoEnvio property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAnhoEnvio() {
        return anhoEnvio;
    }

    /**
     * Sets the value of the anhoEnvio property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAnhoEnvio(String value) {
        this.anhoEnvio = value;
    }

    /**
     * Gets the value of the documentoEmisor property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDocumentoEmisor() {
        return documentoEmisor;
    }

    /**
     * Sets the value of the documentoEmisor property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDocumentoEmisor(String value) {
        this.documentoEmisor = value;
    }

    /**
     * Gets the value of the fechaRecepcion property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFechaRecepcion() {
        return fechaRecepcion;
    }

    /**
     * Sets the value of the fechaRecepcion property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFechaRecepcion(String value) {
        this.fechaRecepcion = value;
    }

    /**
     * Gets the value of the hashDocumento property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getHashDocumento() {
        return hashDocumento;
    }

    /**
     * Sets the value of the hashDocumento property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setHashDocumento(String value) {
        this.hashDocumento = value;
    }

    /**
     * Gets the value of the listaErrores property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the listaErrores property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getListaErrores().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ErrorAcuse }
     * 
     * 
     */
    public List<ErrorAcuse> getListaErrores() {
        if (listaErrores == null) {
            listaErrores = new ArrayList<ErrorAcuse>();
        }
        return this.listaErrores;
    }
    /**
     * Gets the value of the listaErrores property.
     *
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the listaErrores property.
     *
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getListaErrores().add(newItem);
     * </pre>
     *
     *
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ErrorAcuse }
     *
     *
     */
    public List<ErrorAcuse> getListaWarning() {
        if (listaWarning == null) {
            listaWarning = new ArrayList<ErrorAcuse>();
        }
        return this.listaWarning;
    }
    /**
     * Gets the value of the numeroOrden property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNumeroOrden() {
        return numeroOrden;
    }

    /**
     * Sets the value of the numeroOrden property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNumeroOrden(String value) {
        this.numeroOrden = value;
    }

    /**
     * Gets the value of the ticketEnvio property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTicketEnvio() {
        return ticketEnvio;
    }

    /**
     * Sets the value of the ticketEnvio property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTicketEnvio(String value) {
        this.ticketEnvio = value;
    }

}
