
package pe.gob.sunat.sigad.services;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the pe.gob.sunat.sigad.services package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _RealizarConsultaResponse_QNAME = new QName("http://services.sigad.sunat.gob.pe", "realizarConsultaResponse");
    private final static QName _Exception_QNAME = new QName("http://services.sigad.sunat.gob.pe", "Exception");
    private final static QName _RealizarConsulta_QNAME = new QName("http://services.sigad.sunat.gob.pe", "realizarConsulta");
    private final static QName _RecibirArchivoResponse_QNAME = new QName("http://services.sigad.sunat.gob.pe", "recibirArchivoResponse");
    private final static QName _RecibirArchivo_QNAME = new QName("http://services.sigad.sunat.gob.pe", "recibirArchivo");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: pe.gob.sunat.sigad.services
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ErrorAcuse }
     * 
     */
    public ErrorAcuse createErrorAcuse() {
        return new ErrorAcuse();
    }

    /**
     * Create an instance of {@link RealizarConsulta }
     * 
     */
    public RealizarConsulta createRealizarConsulta() {
        return new RealizarConsulta();
    }

    /**
     * Create an instance of {@link RecibirArchivo }
     * 
     */
    public RecibirArchivo createRecibirArchivo() {
        return new RecibirArchivo();
    }

    /**
     * Create an instance of {@link RealizarConsultaResponse }
     * 
     */
    public RealizarConsultaResponse createRealizarConsultaResponse() {
        return new RealizarConsultaResponse();
    }

    /**
     * Create an instance of {@link Exception }
     * 
     */
    public Exception createException() {
        return new Exception();
    }

    /**
     * Create an instance of {@link AcuseRecibo }
     * 
     */
    public AcuseRecibo createAcuseRecibo() {
        return new AcuseRecibo();
    }

    /**
     * Create an instance of {@link RespuestaConsultaBean }
     * 
     */
    public RespuestaConsultaBean createRespuestaConsultaBean() {
        return new RespuestaConsultaBean();
    }

    /**
     * Create an instance of {@link RecibirArchivoResponse }
     * 
     */
    public RecibirArchivoResponse createRecibirArchivoResponse() {
        return new RecibirArchivoResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RealizarConsultaResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://services.sigad.sunat.gob.pe", name = "realizarConsultaResponse")
    public JAXBElement<RealizarConsultaResponse> createRealizarConsultaResponse(RealizarConsultaResponse value) {
        return new JAXBElement<RealizarConsultaResponse>(_RealizarConsultaResponse_QNAME, RealizarConsultaResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://services.sigad.sunat.gob.pe", name = "Exception")
    public JAXBElement<Exception> createException(Exception value) {
        return new JAXBElement<Exception>(_Exception_QNAME, Exception.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RealizarConsulta }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://services.sigad.sunat.gob.pe", name = "realizarConsulta")
    public JAXBElement<RealizarConsulta> createRealizarConsulta(RealizarConsulta value) {
        return new JAXBElement<RealizarConsulta>(_RealizarConsulta_QNAME, RealizarConsulta.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RecibirArchivoResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://services.sigad.sunat.gob.pe", name = "recibirArchivoResponse")
    public JAXBElement<RecibirArchivoResponse> createRecibirArchivoResponse(RecibirArchivoResponse value) {
        return new JAXBElement<RecibirArchivoResponse>(_RecibirArchivoResponse_QNAME, RecibirArchivoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RecibirArchivo }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://services.sigad.sunat.gob.pe", name = "recibirArchivo")
    public JAXBElement<RecibirArchivo> createRecibirArchivo(RecibirArchivo value) {
        return new JAXBElement<RecibirArchivo>(_RecibirArchivo_QNAME, RecibirArchivo.class, null, value);
    }

}
